{
  "name": "@edu/teacher-portal",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev -p 4000",
    "build": "next build",
    "start": "next start -p 4000",
    "lint": "eslint src",
    "typecheck": "tsc --noEmit"
  },
  "dependencies": {
    "@edu/hooks": "workspace:*",
    "@edu/ui-components": "workspace:*",
    "@edu/ui-tokens": "workspace:*",
    "@opentelemetry/context-zone": "^1.28.0",
    "@opentelemetry/exporter-trace-otlp-http": "^0.57.0",
    "@opentelemetry/instrumentation": "^0.57.0",
    "@opentelemetry/instrumentation-document-load": "^0.57.0",
    "@opentelemetry/instrumentation-fetch": "^0.57.0",
    "@opentelemetry/instrumentation-xml-http-request": "^0.57.0",
    "@opentelemetry/sdk-trace-web": "^1.28.0",
    "@sentry/nextjs": "^8.0.0",
    "graphql": "^16.8.0",
    "next": "^14.2.0",
    "react": "^18.3.0",
    "react-dom": "^18.3.0",
    "urql": "^2.2.0",
    "web-vitals": "^4.2.0"
  },
  "devDependencies": {
    "@module-federation/nextjs-mf": "^8.3.0",
    "@next/bundle-analyzer": "^14.2.0",
    "@types/node": "^22.0.0",
    "@types/react": "^18.3.0",
    "@types/react-dom": "^18.3.0",
    "autoprefixer": "^10.4.0",
    "axe-core": "^4.10.0",
    "eslint": "^9.0.0",
    "eslint-plugin-jsx-a11y": "^6.9.0",
    "msw": "^2.4.0",
    "postcss": "^8.4.0",
    "size-limit": "^11.1.0",
    "tailwindcss": "^3.4.0",
    "typescript": "^5.6.0"
  },
  "msw": {
    "workerDirectory": [
      "public"
    ]
  }
}